{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "cli": {
    "packageManager": "npm",
    "analytics": "0b3da18f-5d81-4a09-9b2f-b0ce36040773",
    "schematicCollections": [
      "angular-eslint"
    ]
  },
  "newProjectRoot": "projects",
  "projects": {
    "Ynex-Tailwind": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "skipTests": true,
          "style": "scss",
          "prefix": ""
        }
      },
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular/build:application",
          "options": {
            "allowedCommonJsDependencies": [
              "sweetalert2",
              "inputmask",
              "filepond",
              "moment",
              "leaflet",
              "apexcharts",
              "glightbox",
              "intl-tel-input",
              "filepond-plugin-image-preview",
              "dropzone",
              "quill-delta",
              "sweetalert",
              "dayjs"
            ],
            "browser": "src/main.ts",
            "tsConfig": "tsconfig.app.json",
            "inlineStyleLanguage": "scss",
            "outputPath": {
              "base": "preview",
              "browser": ""
            },
            "assets": [
              {
                "glob": "**/*",
                "input": "public"
              },
              "src/.htaccess"
            ],
            "styles": [
              "node_modules/@ng-select/ng-select/themes/default.theme.css",
              "src/styles.scss"
            ],
            "scripts": [
              "node_modules/preline/dist/preline.js"
            ]
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "baseHref": "/",
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "5MB",
                  "maximumError": "5MB"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "4kB",
                  "maximumError": "8kB"
                }
              ],
              "outputHashing": "all"
            },
            "development": {
              "optimization": false,
              "extractLicenses": false,
              "sourceMap": true
            }
          },
          "defaultConfiguration": "development"
        },
        "serve": {
          "builder": "@angular/build:dev-server",
          "configurations": {
            "production": {
              "buildTarget": "Ynex-Tailwind:build:production"
            },
            "development": {
              "buildTarget": "Ynex-Tailwind:build:development"
            }
          },
          "defaultConfiguration": "development"
        },
        "test": {
          "builder": "@angular/build:unit-test"
        },
        "lint": {
          "builder": "@angular-eslint/builder:lint",
          "options": {
            "lintFilePatterns": [
              "src/**/*.ts",
              "src/**/*.html"
            ]
          }
        }
      }
    }
  }
}